Name: vitalnix
Version: 1.90.8.52
Release: 1
Group: System/Base
Packager: Jan Engelhardt <jengelh [at] linux01 gwdg de>
URL: http://%name.sf.net/
Summary: Vitalnix User Management Suite

Vendor: HX/Vitalnix
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tbz2
%define source http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tbz2
License: FAL/GPL2

# Sometimes the automatic ReqProv just finds too much
BuildRoot: %_tmppath/%name-%version-build
AutoReqProv: no
Provides: libaccdb.so.0.0
Requires: libHX.so.0 libc.so.6 libdl.so.2 libpopt.so.0 libpthread.so.0 libstdc++.so.5 libgcc_s.so.1
# libxml2.so.2 # temporarily removed

# Deactivated for now. Vitalnix actually would need to obsolete several single
# files from several packages.
#Conflicts: shadow
#Obsoletes: shadow

%description
Vitalnix is a User Management Suite, complete with ACCDB and ACCDB-capable
tools as well as a GUI for administratig users.

ACCDB is the Unified Account Database, which provides a unified API to all
outside applications who wish to access the user database, be it Shadow
(/etc/passwd), LDAP, or anything else. The back-ends in turn can do anything
underneath it wishes or requires to, it is up to the back-end. ACCDB can even
use multiple user databases simultaneously, if wanted.

Daxtraq is a tool for the mass registration of users within the system user
database. It finds the differences between a given list and the
user database, adds and deletes users. It thus removes the need for adding each
user manually. Extendability is very high, the most important things are
modularized, and by using ACCDB, the possibilities are infinite.

Authors:
--------
    Jan Engelhardt <jengelh [at] linux01 gwdg de>
    Cristoph Thiel <cthiel [at] linux01 gwdg de>

%prep
cd "$RPM_SOURCE_DIR"/;
copy_from_local=0;
if [ ! -e %name-%version.tbz2 ]; then
  if [ -d /home/hirogen2/f/%name ]; then
    copy_from_local=1;
  else
    wget -c %source;
  fi;
fi;

cd "$RPM_BUILD_DIR"/;
rm -Rf %name %name-%version;
if [ "$copy_from_local" == "1" ]; then
  cp -Rav /home/hirogen2/f/%name ./;
  mv %name %name-%version;
else
  tar -jvxf %name-%version.tbz2;
fi;

%build
cd "$RPM_BUILD_DIR"/%name-%version/;
gmake DEBUG=0;

%install
if [ "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" ]; then
  rm -Rf "$RPM_BUILD_ROOT";
fi;

cd "$RPM_BUILD_DIR"/%name-%version/;
gmake install PREFIX="$RPM_BUILD_ROOT" DEBUG=0;

dest="$RPM_BUILD_ROOT"/usr/lib/%name;
install -d "$dest";
cp supply/mkgroupdir "$dest"/;

dest="$RPM_BUILD_ROOT"/usr/share/doc/packages/%name;
install -d "$dest";
cp -Rav doc "$dest"/;

%files
# Vitalnix
/usr/share/doc/packages/%name

# libaccdb
%config /etc/autouid
%config /etc/libaccdb/accdb
/usr/include/accdb.h
/usr/include/accdb_int.h
/usr/lib/libaccdb.so
/usr/lib/libaccdb.so.0
/usr/lib/libaccdb.so.0.0

# ACCDB bakcend modules
%config /etc/libaccdb/shadow
/usr/lib/accdb_dummy.so
/usr/lib/accdb_shadow.so

# sysprog
%config /etc/useradd.conf
%config /etc/groupadd.conf
%config /etc/groupmod.conf
%config /etc/groupdel.conf
/usr/sbin/vuseradd
/usr/sbin/vusermod
/usr/sbin/vuserdel
/usr/sbin/vgroupadd
/usr/sbin/vgroupmod
/usr/sbin/vgroupdel

# supply programs
/usr/lib/%name

# Daxtraq
/usr/sbin/dxt
/usr/lib/dxt/ds_sdf.so
/usr/lib/dxt/ds_xml.so
#/var/lib/dxt
